Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## de.rico.engine.enums
Enum TexEnvirMode

    java.lang.Object
      java.lang.Enum<TexEnvirMode>
          de.rico.engine.enums.TexEnvirMode

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<TexEnvirMode>

    public enum TexEnvirMode

extends java.lang.Enum<TexEnvirMode>

This enumeration holds the possible texture environment modes for the engine

Author:
  Frank Bruns

Enum Constant Summary
`BLEND`
`DECAL`
`MODULATE`
`REPLACE`

Method Summary
`static TexEnvirMode` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static TexEnvirMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### DECAL

    public static final TexEnvirMode DECAL

### MODULATE

    public static final TexEnvirMode MODULATE

### BLEND

    public static final TexEnvirMode BLEND

### REPLACE

    public static final TexEnvirMode REPLACE

Method Detail

### values

    public static final TexEnvirMode[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(TexEnvirMode c : TexEnvirMode.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static TexEnvirMode valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD